layout(location = 0) in vec3 inPosition;

#ifdef ALPHA_MASK
layout(location = 2) in vec2 inTexCoord;
out vec2 varTexCoord;
#endif

#ifndef POINT_LIGHT
uniform mat4 MVP;
#endif

void main()
{
#ifdef ALPHA_MASK
	varTexCoord = inTexCoord.xy;
#endif

#ifdef POINT_LIGHT
        gl_Position = vec4(inPosition, 1.0);
#else
        gl_Position = MVP * vec4(inPosition, 1.0);
#endif
}
