#ifndef SPARROWRENDERER_H
#define SPARROWRENDERER_H

#include "opengl.h"
#include <vector>
#include <string>
#include <glm/vec3.hpp>

class Camera;
class Module;
class Scene;
class Pipeline;

class SparrowRenderer
{
public:
    SparrowRenderer() :
        m_scene(NULL)
    {}
    
    ~SparrowRenderer();

    // main methods
    void initGL(int w, int h);
    void resizeGL(int w, int h);
	void renderGL();
    
    // utils
    static void drawQuad();

    // scene methods
    void setScene(Scene* myScene);

protected:
    int width;
    int height;

    static GLuint m_quadVAO;
    static GLuint m_quadVBO;

    Scene* m_scene;
};

#endif // SPARROWRENDERER_H
